Bug 1305810 - (CVE-2016-1522) CVE-2016-1522 graphite2: Null pointer dereference and out-of-bounds access vulnerabilities
CVE-2016-1522 graphite2: Null pointer dereference and out-of-bounds access vu...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160205,repo...
: Security
Depends On: 1305811 1309052 1309053
Blocks: 1305678
  Show dependency treegraph
 
Reported: 2016-02-09 05:05 EST by Adam Mariš
Modified: 2016-06-01 15:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A vulnerability has been discovered in Graphite2. An attacker able to trick an unsuspecting user into opening specially crafted font files in an application using Graphite2 could exploit these flaws to cause the application to crash or, potentially, execute arbitrary code with the privileges of the application.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-01 15:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-09 05:05:16 EST
Exploitable NULL pointer dereference and out-of-bound access vulnerabilities were found in the bidirectional font handling functionality of Libgraphite. A specially crafted font can cause out-of-bound access resulting into remote code execution and NULL pointer dereference resulting into crash. An attacker can provide a malicious font to trigger this vulnerability.

External References:

http://www.talosintel.com/reports/TALOS-2016-0060/
http://www.talosintel.com/reports/TALOS-2016-0057/
Comment 1 Adam Mariš 2016-02-09 05:06:16 EST
Created graphite2 tracking bugs for this issue:

Affects: fedora-all [bug 1305811]
Comment 3 errata-xmlrpc 2016-02-16 05:41:16 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0197 https://rhn.redhat.com/errata/RHSA-2016-0197.html
Comment 5 errata-xmlrpc 2016-04-05 15:09:49 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0594 https://rhn.redhat.com/errata/RHSA-2016-0594.html

Note You need to log in before you can comment on or make changes to this bug.